using UnityEngine;
using System.Collections;

public class Controller_Clock : Widget
	{
	
	public GameObject needle;
	public float seconds_by_turn = 10.0f;

	new void Start ()
		{
		base.Start();
		}
	
	new void Update ()
		{
		base.Update ();
		needle.transform.Rotate( new Vector3(0,0,-Time.deltaTime * 360 / seconds_by_turn) );
		}
	
	}

